# adns

adns is a resolver library for C (and C++) programs, and a collection of useful DNS resolver utilities for use from the command line and in scripts:
 * adnslogres is a much faster version of Apache's logresolv program.
 * adnsresfilter is a filter which copies its input to its output,
   replacing IP addresses by the corresponding names, without unduly
   delaying the output. For example, you can usefully pipe the output
   of netstat -n, tcpdump -ln, and the like, into it.
 * adnshost is a general-purpose DNS lookup utility which can be used
   easily in from the command line and from shell scripts to do
   simple lookups. In a more advanced mode it can be used as a
   general-purpose DNS helper program for scripting languages which
   can invoke and communicate with subprocesses. See the [1]adnshost
   usage message for a summary of its capabilities.

